View Issue Details

IDProjectCategoryView StatusLast Update
0032802FPCDocumentationpublic2017-12-30 12:53
ReporterAntonAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build3.0.4 release 
Target Version3.2.0Fixed in Version3.1.1 
Summary0032802: File type declaration
DescriptionFPC 3.0.4, contrary to ISO, expects type identifier after "file of".
That is why the following declaration is wrong:

var f: file of 'a'..'z';

Eшther еру documentation should be fixed (see attached patch) or compiler need to be changed to conform to ISO.
TagsNo tags attached.
Fixed in Revision1450
FPCOldBugId
FPCTarget
Attached Files
  • typefil.syn.patch (421 bytes)
    Index: syntax/typefil.syn
    ===================================================================
    --- syntax/typefil.syn	(revision 1449)
    +++ syntax/typefil.syn	(working copy)
    @@ -1,3 +1,3 @@
     \begin{psyntax}{File types}{filetypes}
    -\synt{file\ type} \lit*{file} \begin{stack}\\ \lit*{of} \synt{type} \end{stack}
    +\synt{file\ type} \lit*{file} \begin{stack}\\ \lit*{of} \synt{type\ identifier} \end{stack}
     \end{psyntax}
    
    typefil.syn.patch (421 bytes)

Activities

Anton

2017-12-09 11:55

reporter  

typefil.syn.patch (421 bytes)
Index: syntax/typefil.syn
===================================================================
--- syntax/typefil.syn	(revision 1449)
+++ syntax/typefil.syn	(working copy)
@@ -1,3 +1,3 @@
 \begin{psyntax}{File types}{filetypes}
-\synt{file\ type} \lit*{file} \begin{stack}\\ \lit*{of} \synt{type} \end{stack}
+\synt{file\ type} \lit*{file} \begin{stack}\\ \lit*{of} \synt{type\ identifier} \end{stack}
 \end{psyntax}
typefil.syn.patch (421 bytes)

Marco van de Voort

2017-12-09 13:49

manager   ~0104605

Note that ISO mode doesn't accept this syntax, which is probably a bug in its own right.

Michael Van Canneyt

2017-12-29 10:09

administrator   ~0105090

Applied the patch, thank you very much!

Issue History

Date Modified Username Field Change
2017-12-09 11:55 Anton New Issue
2017-12-09 11:55 Anton Status new => assigned
2017-12-09 11:55 Anton Assigned To => Michael Van Canneyt
2017-12-09 11:55 Anton File Added: typefil.syn.patch
2017-12-09 13:49 Marco van de Voort Note Added: 0104605
2017-12-29 10:09 Michael Van Canneyt Fixed in Revision => 1450
2017-12-29 10:09 Michael Van Canneyt Note Added: 0105090
2017-12-29 10:09 Michael Van Canneyt Status assigned => resolved
2017-12-29 10:09 Michael Van Canneyt Fixed in Version => 3.1.1
2017-12-29 10:09 Michael Van Canneyt Resolution open => fixed
2017-12-29 10:09 Michael Van Canneyt Target Version => 3.2.0
2017-12-30 12:53 Anton Status resolved => closed